Skip to content

Update Audience Segment Taxonomy

Request

Updates metadata and replaces the taxonomy tree for an existing audience segment taxonomy. Access is scoped to the vendor's owning organization; visibility=GLOBAL and revenue_share_pct may be set only by global admins.

Security
Auth0(Required scopes: offline_accessmanage:services)
Path
taxonomy_idinteger, (int32)required

Numeric ID of the taxonomy to update

Bodyapplication/jsonrequired
visibilitystring

Visibility scope of the audience segment

Enum:"GLOBAL""RESTRICTED"
use_hashboolean

Whether to use hashed identifiers for this segment

revenue_share_pctnumber, (double), [ 0 .. 100 ]

Revenue share percentage for this segment

is_clearing_houseboolean

Whether this segment is managed through a clearing house

permissionsobjectrequired

Access permissions scoped to specific entities

taxonomyobject(AudienceTaxonomiesUpdateNode)required

Root node of the hierarchical taxonomy tree (replaces existing tree)

POST
/audience_taxonomies/{taxonomy_id}
curl -i -X POST \
  'https://api.mediamath.com/api/v3.0/audience_taxonomies/{taxonomy_id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "visibility": "GLOBAL",
    "use_hash": true,
    "revenue_share_pct": 100,
    "is_clearing_house": true,
    "permissions": {
      "organizations": [
        1
      ],
      "agencies": [
        1
      ],
      "advertisers": [
        1
      ]
    },
    "taxonomy": {
      "id": 0,
      "name": "string",
      "description": "string",
      "code": "string",
      "buyable": false,
      "retail_cpm": 0.1,
      "wholesale_cpm": 0.1,
      "uniques": 0,
      "children": [
        {}
      ]
    }
  }'

Responses

Audience segment taxonomy updated successfully

Bodyapplication/json
dataobject(AudienceTaxonomiesUpdateResponse)
metaobject(single_metadata)
Response
{ "data": { "taxonomy_id": 0, "audience_vendor_id": 0, "revenue_share_pct": 0.1, "permissions": {}, "taxonomy": {} }, "meta": { "status": "success" } }